/* BlinkenLib
   Copyright 2004-2014 Stefan Schuermans <stefan@schuermans.info>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef INC_BlinkenLib_BlinkenMng
#define INC_BlinkenLib_BlinkenMng

#include <BlinkenLib/config.h>
#include <BlinkenLib/BlinkenFrame.h>
#include <BlinkenLib/BlinkenMovie.h>

#ifndef BLINKENLIB_CFG_MNG
#error This file is to be used for MNG support only.
#endif // #ifndef BLINKENLIB_CFG_MNG

#ifdef __cplusplus
extern "C" {
#endif

stBlinkenMovie *BlinkenMngLoad(const char *pFilename);

int BlinkenMngSave(stBlinkenMovie *pMovie, const char *pFilename);

#ifdef __cplusplus
} // extern "C"
#endif

#endif // #ifndef INC_BlinkenLib_BlinkenMng
